Latest Release Lint CI Test pre-commit Conventional Commits KeepAChangelog Terraform Version

terraform-grafana-dashboard

terraform-grafana-dashboard for project

Requirements

This is a list of plugins that need to be installed previously to enjoy all the goodies of this configuration:

Usage

  module "main" {
    source  = "hadenlabs/dashboard/grafana"
    version = "0.0.0"
  }

Full working examples can be found in examples folder.

Examples

common

  module "main" {
    source  = "hadenlabs/dashboard/grafana"
    version = "0.0.0"
  }

Requirements

Name Version
terraform >= 0.13

Providers

No providers.

Modules

No modules.

Resources

No resources.

Inputs

No inputs.

Outputs

No outputs.

Help

Got a question?

File a GitHub issue.

Contributing

See Contributing.

Module Versioning

This Module follows the principles of Semantic Versioning (SemVer).

Using the given version number of MAJOR.MINOR.PATCH, we apply the following constructs:

  1. Use the MAJOR version for incompatible changes.
  2. Use the MINOR version when adding functionality in a backwards compatible manner.
  3. Use the PATCH version when introducing backwards compatible bug fixes.

Backwards compatibility in 0.0.z and 0.y.z version

  • In the context of initial development, backwards compatibility in versions 0.0.z is not guaranteed when z is
    increased. (Initial development)
  • In the context of pre-release, backwards compatibility in versions 0.y.z is not guaranteed when y is
    increased. (Pre-release)

Copyright

Copyright © 2018-2022 Hadenlabs

Trademarks

All other trademarks referenced herein are the property of their respective owners.

License

The code and styles are licensed under the LGPL-3.0 license See project license..

Don’t forget to 🌟 Star 🌟 the repo if you like terraform-grafana-dashboard

Your feedback is appreciated

GitHub

View Github